import request from '@/utils/request'

export function getReservoir(resCode) {
  return request({ url: '/slgc/reservoir/' + resCode, method: 'get' })
}

export function addReservoir(data) {
  return request({ url: '/slgc/reservoir', method: 'post', data })
}

export function updateReservoir(data) {
  return request({ url: '/slgc/reservoir', method: 'put', data })
}

export function delReservoir(resCodes) {
  return request({ url: '/slgc/reservoir/' + resCodes, method: 'delete' })
}

export function getReservoirCountType() {
  return request({ url: '/slgc/reservoir/countType', method: 'get' })
}
